/***************************************************************************
 *   Copyright (C) 2004 by Alexander Dymo                                  *
 *   adymo@kdevelop.org                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "dockheader.h"

#include <qpainter.h>
#include <qstyle.h>

#include <kdebug.h>

namespace Ideal {

DockHeader::DockHeader(QWidget *parent, const char *name)
    :QWidget(parent, name)
{
    setFixedHeight(style().pixelMetric(QStyle::PM_DockWindowHandleExtent, this));
    installEventFilter(parent);            
}

DockHeader::~DockHeader()
{
}

void DockHeader::paintEvent(QPaintEvent *ev)
{
    QPainter paint; 
    paint.begin(this);
    style().drawPrimitive(QStyle::PE_DockWindowHandle, &paint, QRect(0, 0, width(), height()), colorGroup());
    paint.end();
}

}

#include "dockheader.moc"
