/***************************************************************************
 *   Copyright (C) 2004 by Alexander Dymo                                  *
 *   adymo@kdevelop.org                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef IDEALPLACEWIDGET_H
#define IDEALPLACEWIDGET_H

#include <qsplitter.h>

#include "comdefs.h"

class QGridLayout;
class QHBoxLayout;

namespace Ideal {

class DockInfo;
class DockWidget;

/**
@short A place for dock widgets

Contains button bar, dock widgets and slider.
*/
class PlaceWidget: public QSplitter {
    Q_OBJECT
public:
    PlaceWidget(Orientation orientation, QWidget *parent = 0, const char *name = 0);
    ~PlaceWidget();
    
    /**Adds widget to a dock and places it in the layout according to provided information.
    Also resizes a widget.*/
    void addWidget(DockWidget *w, DockInfo *info);
//     virtual void paintEvent(QPaintEvent *ev);

private:
    Orientation m_orientation;
    QHBoxLayout *m_layout;

};

}

#endif
