/***************************************************************************
 *   Copyright (C) 2004 by Alexander Dymo                                  *
 *   adymo@mksat.net                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "ideal.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

#include <qtextedit.h>

#include "testdw.h"

#include "comdefs.h"
#include "dockarea.h"
#include "dockwidget.h"

static const char description[] =
    I18N_NOOP("A KDE KPart Application");

static const char version[] = "0.1";

static KCmdLineOptions options[] =
{
//    { "+[URL]", I18N_NOOP( "Document to open." ), 0 },
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
    KAboutData about("ideal", I18N_NOOP("ideal"), version, description,
		     KAboutData::License_GPL, "(C) %{YEAR} Alexander Dymo", 0, 0, "adymo@mksat.net");
    about.addAuthor( "Alexander Dymo", 0, "adymo@mksat.net" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;
    TestDW *mainWin = 0;

    if (app.isRestored())
    {
//         RESTORE(ideal);
    }
    else
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

        /// @todo do something with the command line args here

        mainWin = new TestDW();
        app.setMainWidget( mainWin );
        mainWin->show();
        
        QMainWindow *w = new QMainWindow;
        Ideal::DockArea *area = new Ideal::DockArea(DockArea::Bottom, w, "myarea");
//        area->placeWidget(Ideal::Bottom);
        w->setCentralWidget(area);
        w->show();
        
        Ideal::DockWidget *dock = new Ideal::DockWidget("alone_widget");
        dock->setWidget(new QTextEdit("boo", "boo", dock));

        args->clear();
    }

    // mainWin has WDestructiveClose flag by default, so it will delete itself.
    return app.exec();
}

