/***************************************************************************
 *   Copyright (C) 2004 by Alexander Dymo                                  *
 *   adymo@kdevelop.org                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "testwidget.h"

#include <qtextedit.h>
#include <qvaluelist.h>
#include <qlayout.h>
#include <qpushbutton.h>
#include <qspinbox.h>
#include <qobjectlist.h>

#include <kdebug.h>

#include "docksplitter.h"

TestWidget::TestWidget(QWidget *parent, const char *name)
 : QWidget(parent, name)
{
    QHBoxLayout *l = new QHBoxLayout(this, 0, 0);
    QVBoxLayout *l2 = new QVBoxLayout(l, 0);
    QPushButton *b = new QPushButton("Add", this);
    QPushButton *b2 = new QPushButton("Remove", this);
    row = new QSpinBox(this);
    col = new QSpinBox(this);
    l2->addWidget(row);
    l2->addWidget(col);
    l2->addWidget(b);
    l2->addWidget(b2);
    connect(b, SIGNAL(clicked()), this, SLOT(addTo()));
    connect(b2, SIGNAL(clicked()), this, SLOT(removeFrom()));
    
    sl = new Ideal::DockSplitter(Ideal::DockSplitter::Vertical, this);
/*    sl->addDock(0, 0, new QTextEdit("0.0", 0));
    sl->addDock(0, 1, new QTextEdit("0.1", 0));
    sl->addDock(1, 0, new QTextEdit("1.0", 0));
    sl->addDock(0, 2, new QTextEdit("0.2", 0));
    sl->addDock(0, 3, new QTextEdit("0.3", 0));*/
    
    l->addWidget(sl);
//     sl->addDock(0, 2, new QTextEdit("0.4 (move to 2)", 0));
}

TestWidget::~TestWidget()
{
}

void TestWidget::addTo()
{
    sl->addDock(row->value(), col->value(), new QTextEdit(QString("%1.%2").arg(row->value()).arg(col->value()), 0));
}

void TestWidget::removeFrom()
{
    sl->removeDock(row->value(), col->value(), true);
//     kdDebug() << sl->queryList("QSplitter")->count() << endl; 
}


#include "testwidget.moc"
